From 72aa4f632af6cae15a7f74973cd8230f30bd8536 Mon Sep 17 00:00:00 2001
From: Greg Frost <gregfrost1@bigpond.com>
Date: Sun, 21 Mar 2010 12:11:08 +1030
Subject: LinHES-system: reduce unclutter aggressiveness

---
 abs/core-testing/LinHES-system/LinHES-run | 2 +-
 abs/core-testing/LinHES-system/PKGBUILD   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/abs/core-testing/LinHES-system/LinHES-run b/abs/core-testing/LinHES-system/LinHES-run
index 959fe84..2322b3b 100644
--- a/abs/core-testing/LinHES-system/LinHES-run
+++ b/abs/core-testing/LinHES-system/LinHES-run
@@ -7,7 +7,7 @@
 
 #move mouse to corner
 xdotool mousemove -10 -10
-/usr/X11R6/bin/unclutter -root -idle 1 -jitter 200 -noevents  &
+/usr/X11R6/bin/unclutter -root -idle 5 -jitter 5 -noevents  &
 if [ x"$Screensavertype" = "xgscreensaver" ]
 then
     gnome-screensaver &
diff --git a/abs/core-testing/LinHES-system/PKGBUILD b/abs/core-testing/LinHES-system/PKGBUILD
index cca8500..f9c1a97 100644
--- a/abs/core-testing/LinHES-system/PKGBUILD
+++ b/abs/core-testing/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
 pkgver=1.0
-pkgrel=74
+pkgrel=75
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
-- 
cgit v0.12


From 3e0887cb811e0e1bb9fa730c50a22c101117c9fd Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sat, 20 Mar 2010 22:47:12 -0500
Subject: php: fix sed in install file to account for / in the timezone closes
 649

---
 abs/core-testing/php/PKGBUILD    | 2 +-
 abs/core-testing/php/php.install | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/abs/core-testing/php/PKGBUILD b/abs/core-testing/php/PKGBUILD
index 65862a9..9e297f0 100644
--- a/abs/core-testing/php/PKGBUILD
+++ b/abs/core-testing/php/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=php
 pkgver=5.2.6
-pkgrel=29
+pkgrel=31
 _suhosinver=0.9.6.2
 pkgdesc='A high-level scripting language'
 arch=('i686' 'x86_64')
diff --git a/abs/core-testing/php/php.install b/abs/core-testing/php/php.install
index 469db4a..1981a63 100644
--- a/abs/core-testing/php/php.install
+++ b/abs/core-testing/php/php.install
@@ -4,7 +4,7 @@ post_install() {
 		. /etc/systemconfig
 		if [ -f /etc/php/php.ini ]
 		then
-	       	    sed -i 's/^.*date.timezone.*$/date.timezone='${timezone}'/' /etc/php/php.ini
+	       	    sed -i 's|^.*date.timezone.*$|date.timezone='${timezone}'|' /etc/php/php.ini
 		fi
 	fi
 }
@@ -40,7 +40,7 @@ post_upgrade() {
 		. /etc/systemconfig
 		if [ -f /etc/php/php.ini ]
 		then
-	       	    sed -i 's/^.*date.timezone.*$/date.timezone='${timezone}'/' /etc/php/php.ini
+	       	    sed -i 's|^.*date.timezone.*$|date.timezone='${timezone}'|' /etc/php/php.ini
 		fi
 	fi
     echo 'Updating extension dir...'
-- 
cgit v0.12


From 12066094126b4b8d07e6c0df3dab6323d5d71571 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sat, 20 Mar 2010 23:12:49 -0500
Subject: linhes-system: create cronjob for mythsmolt to checkin once a week
 with profile updates Also fixed myth_mtc.sh from being symlinked if it was
 already present on install/upgrade

closes 656
---
 abs/core-testing/LinHES-system/LinHES.install |  5 ++-
 abs/core-testing/LinHES-system/PKGBUILD       | 47 +++++++++++++++++++++++++--
 abs/core-testing/LinHES-system/smolt.cron     | 11 +++++++
 3 files changed, 59 insertions(+), 4 deletions(-)
 create mode 100644 abs/core-testing/LinHES-system/smolt.cron

diff --git a/abs/core-testing/LinHES-system/LinHES.install b/abs/core-testing/LinHES-system/LinHES.install
index 2d2bdf2..9f6a1c1 100644
--- a/abs/core-testing/LinHES-system/LinHES.install
+++ b/abs/core-testing/LinHES-system/LinHES.install
@@ -12,7 +12,10 @@ MVDIR=/usr/LH/bin
 #	ln -s  $MVDIR/backup_job /etc/cron.daily/backup_cron
 #	ln -s  $MVDIR/update_system  /etc/cron.daily/xupdate_system_cron
 #	ln -s  $MVDIR/repo_sync.sh  /etc/cron.daily/zrepo_sync.sh
-	ln -s  $MVDIR/myth_mtc.sh  /etc/cron.daily/myth_mtc.sh
+	if [ ! -e /etc/cron.daily/myth_mtc.sh ]
+	then
+		ln -s  $MVDIR/myth_mtc.sh  /etc/cron.daily/myth_mtc.sh
+	fi
 
 #LINE="mythtv    ALL = NOPASSWD: /sbin/sv stop mythbackend"
 LINE="mythtv 	ALL=(ALL)       NOPASSWD: ALL"
diff --git a/abs/core-testing/LinHES-system/PKGBUILD b/abs/core-testing/LinHES-system/PKGBUILD
index f9c1a97..5616746 100644
--- a/abs/core-testing/LinHES-system/PKGBUILD
+++ b/abs/core-testing/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
-pkgver=1.0
-pkgrel=75
+pkgver=1.1
+pkgrel=9
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
@@ -8,7 +8,7 @@ install=LinHES.install
 pkgdesc="scripts and things related to having a automated system"
 depends=(linhes-sounds xdotool)
 backup=(etc/modprobe.d/alsa-base)
-binfiles="LinHES-start optimize_mythdb.py myth_mtc.py myth_mtc.sh LinHES-run firstboot.sh load-modules-mythvantage.sh unclutter-toggle.sh myth_mtc.lr"
+binfiles="LinHES-start optimize_mythdb.py myth_mtc.py myth_mtc.sh LinHES-run firstboot.sh load-modules-mythvantage.sh unclutter-toggle.sh myth_mtc.lr smolt.cron "
 
 source=(LinHES-session LinHES-profile.sh $binfiles alsa-base)
 
@@ -36,7 +36,48 @@ do
 
 done	
 install -m755 -D $startdir/src/alsa-base $startdir/pkg/etc/modprobe.d/alsa-base
+install -m755 -D $startdir/src/smolt.cron $startdir/pkg/etc/cron.weekly/smolt.cron
 mkdir $startdir/pkg/etc/logrotate.d
 cp $startdir/myth_mtc.lr $startdir/pkg/etc/logrotate.d
 }
 
+
+md5sums=('19934a456d0e112298b8aac3279f9a16'
+         '5881bdb43d578ec3a79d1f77ea58a3db'
+         'a875ee97f86e46f34a741c2bc455f894'
+         'cdcbc530224215f8fcf7ebcd93d7eb0b'
+         'c60b6c66f498809a6e5ca18a8c97d336'
+         'ccae1296ef248fa52ec3a7cb820a476e'
+         '6112f32c48763a057341ccfb18d2375a'
+         '18a884a73344ff6eb74f63b49745e0f5'
+         'dc3eef2a624754e16805d72bbe488b67'
+         '72eb4117bb7d523691233c40e7535752'
+         'f1870a9522c79e6b248fcbf81dec3280'
+         '90a5d903e11e8bb457855d2ffd657e1e'
+         'eb879fee9603a05d5420d4ce8ed9e450')
+md5sums=('19934a456d0e112298b8aac3279f9a16'
+         '5881bdb43d578ec3a79d1f77ea58a3db'
+         'a875ee97f86e46f34a741c2bc455f894'
+         'cdcbc530224215f8fcf7ebcd93d7eb0b'
+         'c60b6c66f498809a6e5ca18a8c97d336'
+         'ccae1296ef248fa52ec3a7cb820a476e'
+         '6112f32c48763a057341ccfb18d2375a'
+         '18a884a73344ff6eb74f63b49745e0f5'
+         'dc3eef2a624754e16805d72bbe488b67'
+         '72eb4117bb7d523691233c40e7535752'
+         'f1870a9522c79e6b248fcbf81dec3280'
+         'f891f01eac77a1a9cd3d638c28ae4b3a'
+         'eb879fee9603a05d5420d4ce8ed9e450')
+md5sums=('19934a456d0e112298b8aac3279f9a16'
+         '5881bdb43d578ec3a79d1f77ea58a3db'
+         'a875ee97f86e46f34a741c2bc455f894'
+         'cdcbc530224215f8fcf7ebcd93d7eb0b'
+         'c60b6c66f498809a6e5ca18a8c97d336'
+         'ccae1296ef248fa52ec3a7cb820a476e'
+         '6112f32c48763a057341ccfb18d2375a'
+         '18a884a73344ff6eb74f63b49745e0f5'
+         'dc3eef2a624754e16805d72bbe488b67'
+         '72eb4117bb7d523691233c40e7535752'
+         'f1870a9522c79e6b248fcbf81dec3280'
+         'abe887472a170bd1a8e6da6a7b7e93e4'
+         'eb879fee9603a05d5420d4ce8ed9e450')
diff --git a/abs/core-testing/LinHES-system/smolt.cron b/abs/core-testing/LinHES-system/smolt.cron
new file mode 100644
index 0000000..f418df1
--- /dev/null
+++ b/abs/core-testing/LinHES-system/smolt.cron
@@ -0,0 +1,11 @@
+#!/bin/bash
+. /etc/profile
+if  [ -f  /home/mythtv/.mythtv/MythSmolt/hw-uuid ] 
+then
+	cd /usr/share/mythtv/mythsmolt/scripts
+	touch /var/log/smolt.update
+	chown mythtv /var/log/smolt.update
+	random=$((RANDOM%2000))
+	sleep $random
+	su mythtv -c "./sendProfile.py -a" > /var/log/smolt.update
+fi
-- 
cgit v0.12


From be3b8274ca7dfbccf3a27865d6e9cc50a70570cc Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sat, 20 Mar 2010 23:18:09 -0500
Subject: local-website: change rrd error page to reflect this is linhes6 not
 knoppmyth 5.5 closes 650

---
 abs/core-testing/local-website/PKGBUILD              | 2 +-
 abs/core-testing/local-website/htdocs/rrd/index.html | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/abs/core-testing/local-website/PKGBUILD b/abs/core-testing/local-website/PKGBUILD
index 1f1faa9..5a84b2b 100644
--- a/abs/core-testing/local-website/PKGBUILD
+++ b/abs/core-testing/local-website/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=local-website
 pkgver=2
-pkgrel=15
+pkgrel=16
 pkgdesc="Contents of http://localhost"
 arch=(i686 x86_64)
 license=('GPL')
diff --git a/abs/core-testing/local-website/htdocs/rrd/index.html b/abs/core-testing/local-website/htdocs/rrd/index.html
index 5f595b2..c60692f 100644
--- a/abs/core-testing/local-website/htdocs/rrd/index.html
+++ b/abs/core-testing/local-website/htdocs/rrd/index.html
@@ -13,7 +13,7 @@
     <tbody>
       <tr>
 	<td style="vertical-align: top;">
-	  <p class="headerimage" align="center"><b>KnoppMyth R5.5</b></p>
+	  <p class="headerimage" align="center"><b>The Linux Home Entertainment System Release 6</b></p>
     <p align=center>
 <font size="+2">RRD Tool</font><br>
 <font size="+1">Is <font color="#CC0000">disabled</font>
-- 
cgit v0.12


From 41be3778c9c2f2d560d7c9b05ddcf7234f44f959 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sat, 20 Mar 2010 23:46:55 -0500
Subject: mythinstall:  new mythvantage removed debugging code in webuser
 closes 657

---
 abs/core-testing/mythinstall/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/core-testing/mythinstall/PKGBUILD b/abs/core-testing/mythinstall/PKGBUILD
index c84c9de..47f89ca 100644
--- a/abs/core-testing/mythinstall/PKGBUILD
+++ b/abs/core-testing/mythinstall/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Jams
 pkgname=mythinstall
 pkgver=2
-pkgrel=26
+pkgrel=27
 pkgdesc="LinHES installer/systemconfig GUI."
 arch=i686
 depends=()
-- 
cgit v0.12


From b0d6f32d85681c7f3113778dfc59caff3d27c474 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 00:21:15 -0500
Subject: mythinstall: added silicon dust hdhr as a receiver choice. This only
 puts in the option for selection, it does nothing with it ref 622

---
 abs/core-testing/mythinstall/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/core-testing/mythinstall/PKGBUILD b/abs/core-testing/mythinstall/PKGBUILD
index 47f89ca..f97541b 100644
--- a/abs/core-testing/mythinstall/PKGBUILD
+++ b/abs/core-testing/mythinstall/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Jams
 pkgname=mythinstall
 pkgver=2
-pkgrel=27
+pkgrel=28
 pkgdesc="LinHES installer/systemconfig GUI."
 arch=i686
 depends=()
-- 
cgit v0.12


From 2cfbb487a523a5b29d8caf5d422adaacfa98701d Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 12:29:37 -0500
Subject: mediaserv: added data_dir to config file $DATA_DIR =
 '/myth/mediaserv';

base_dir was already set as referenced in the ticket


closes 590
---
 abs/extra-testing/mediaserv/PKGBUILD                |   7 ++++++-
 .../mediaserv/linhes-mediaserv.tar.bz2              | Bin 17186 -> 17322 bytes
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/abs/extra-testing/mediaserv/PKGBUILD b/abs/extra-testing/mediaserv/PKGBUILD
index 0ed43fa..59eed79 100644
--- a/abs/extra-testing/mediaserv/PKGBUILD
+++ b/abs/extra-testing/mediaserv/PKGBUILD
@@ -3,7 +3,7 @@
 
 pkgname=mediaserv
 pkgver=0.05
-pkgrel=5
+pkgrel=20
 pkgdesc="On-demand transcoding server for videos, targetting the Nokia Internet Tablets."
 arch=('i686' 'x86_64')
 license=('ARTISTIC')
@@ -26,3 +26,8 @@ build() {
   cp -a ${srcdir}/.mediaserv/* ${pkgdir}/myth/mediaserv
   install -D -m755 ${srcdir}/run ${srcdir}/finish $startdir/pkg/etc/sv/mediaserv
 }
+md5sums=('94c300a0e95c55dae42a61f77e4e41fe'
+         'e7b6fcc91b73939db350c4854c19e9ee'
+         '68d25630786e76fa36c9e6bb29821367'
+         'd047f0fa5f1d39d864debd8a76f677e2'
+         'f2022c1cc8f04959299c97edde06d023')
diff --git a/abs/extra-testing/mediaserv/linhes-mediaserv.tar.bz2 b/abs/extra-testing/mediaserv/linhes-mediaserv.tar.bz2
index 7630679..6397fb7 100644
Binary files a/abs/extra-testing/mediaserv/linhes-mediaserv.tar.bz2 and b/abs/extra-testing/mediaserv/linhes-mediaserv.tar.bz2 differ
-- 
cgit v0.12


From 8ca96fb6039c261bb4fddfadc6a1fea9e003191e Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 12:30:37 -0500
Subject: mediasrv: changed install file to not create symlinks if the dest is
 already present modifed run file so that it's not as chatty about "which"

ref 590
---
 abs/extra-testing/mediaserv/mediaserv.install | 18 +++++++++++++++---
 abs/extra-testing/mediaserv/run               |  2 +-
 2 files changed, 16 insertions(+), 4 deletions(-)

diff --git a/abs/extra-testing/mediaserv/mediaserv.install b/abs/extra-testing/mediaserv/mediaserv.install
index 7a26077..4a9de8e 100644
--- a/abs/extra-testing/mediaserv/mediaserv.install
+++ b/abs/extra-testing/mediaserv/mediaserv.install
@@ -1,8 +1,20 @@
 # arg 1:  the new package version
+
+
 post_install() {
-  ln -s /myth/mediaserv /home/mythtv/.mediaserv
-  ln -s /myth/pretty /myth/mediaserv/media/tv
-  ln -s /myth/video /myth/mediaserv/media/video
+  if [ ! -e /home/mythtv/.mediaserv ]
+  then
+      ln -s /myth/mediaserv /home/mythtv/.mediaserv
+  fi
+
+  if [ ! -e /myth/mediaserv/media/tv ]
+  then
+      ln -s /myth/pretty /myth/mediaserv/media/tv
+  fi
+  if [ ! -e /myth/mediaserv/media/video ]
+  then
+      ln -s /myth/video /myth/mediaserv/media/video
+  fi
   chown -R mythtv.mythtv /myth/mediaserv
   add_service.sh mediaserv
   sv start mediaserv
diff --git a/abs/extra-testing/mediaserv/run b/abs/extra-testing/mediaserv/run
index 82a1705..fbd1c97 100644
--- a/abs/extra-testing/mediaserv/run
+++ b/abs/extra-testing/mediaserv/run
@@ -4,5 +4,5 @@ export TERM=linux
 . /etc/rc.conf
 . /etc/rc.d/functions
 stat_runit "Starting mediaserv"
-exec su mythtv -c "/usr/bin/mediaserv"
+exec su mythtv -c "/usr/bin/mediaserv" 2>/dev/null 
 wait
-- 
cgit v0.12


From 30b24c067003966f4231e0a0a3e6825396a2fd56 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 12:35:04 -0500
Subject: runit: remove -t as mandatory, is -t is now present delay is set to 0

closes 565
---
 abs/core-testing/runit/PKGBUILD        | 9 ++++++++-
 abs/core-testing/runit/shutdown.script | 5 ++---
 2 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/abs/core-testing/runit/PKGBUILD b/abs/core-testing/runit/PKGBUILD
index 90bb57e2..bb3a4f5 100755
--- a/abs/core-testing/runit/PKGBUILD
+++ b/abs/core-testing/runit/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=runit
 pkgver=1.8.0
-pkgrel=62
+pkgrel=64
 pkgdesc="A replacement for sysvinit, and other init schemes, with service supervision"
 url="http://smarden.org/runit/"
 license="BSD"
@@ -64,3 +64,10 @@ build() {
 
 
 }
+md5sums=('46549303a336bee8f627bfb399d44085'
+         '5828ac37537d60ded00252dc02d462c6'
+         '984dbe096b0db26ad9f3f5b51addd9c9'
+         'e347ea8cf2981f2cd4105111ea1ce1d4'
+         '263198ec006b87891ea0f3ab1d103086'
+         '3ec5f3013dcbd60b6b957d17ba220585'
+         'febe6821f4bea3bfa93f4b6d3df4d801')
diff --git a/abs/core-testing/runit/shutdown.script b/abs/core-testing/runit/shutdown.script
index 3bcc5d3..229996b 100755
--- a/abs/core-testing/runit/shutdown.script
+++ b/abs/core-testing/runit/shutdown.script
@@ -23,9 +23,8 @@ then
 	done
 	if [ x$delay = x ]
 	then
-	        echo "-t is mandatory"
-        	exit 4
-	fi
+	    delay=0
+    fi
 
 	if [ x$reboot = x1 ]
 	then
-- 
cgit v0.12


From c5668043d54b597d7218c7931e0096e0a2725d2a Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 12:38:24 -0500
Subject: mediatomb: first import
 http://aur.archlinux.org/packages.php?ID=10199

untested
closes 588
---
 abs/extra-testing/community/mediatomb/PKGBUILD     | 57 +++++++++++++++++++++
 .../mediatomb/mediatomb-0.11.0+glibc-2.10.patch    | 23 +++++++++
 .../community/mediatomb/mediatomb-gcc-4.3.patch    | 24 +++++++++
 .../community/mediatomb/mediatomb.conf             |  5 ++
 abs/extra-testing/community/mediatomb/mediatomb.rc | 58 ++++++++++++++++++++++
 5 files changed, 167 insertions(+)
 create mode 100644 abs/extra-testing/community/mediatomb/PKGBUILD
 create mode 100644 abs/extra-testing/community/mediatomb/mediatomb-0.11.0+glibc-2.10.patch
 create mode 100644 abs/extra-testing/community/mediatomb/mediatomb-gcc-4.3.patch
 create mode 100644 abs/extra-testing/community/mediatomb/mediatomb.conf
 create mode 100755 abs/extra-testing/community/mediatomb/mediatomb.rc

diff --git a/abs/extra-testing/community/mediatomb/PKGBUILD b/abs/extra-testing/community/mediatomb/PKGBUILD
new file mode 100644
index 0000000..aaf4d58
--- /dev/null
+++ b/abs/extra-testing/community/mediatomb/PKGBUILD
@@ -0,0 +1,57 @@
+# Orginal Contributor: William Rea <sillywilly@gmail.com>
+# Contributor: Nikhil Bysani <nikron@gmail.com>
+# Contributor: Mika Hynnä <igheax@gmail.com>
+
+# 20090525: 
+#	+ makedepends=('gcc' 'patch' 'make')
+#	+ mediatomb-0.11.0+glibc-2.10.patch
+
+pkgname=mediatomb
+pkgver=0.11.0
+pkgrel=10
+pkgdesc="A UPnP mediaserver"
+arch=('i686' 'x86_64')
+url="http://mediatomb.sourceforge.net"
+license=('GPL')
+depends=('libexif' 'taglib' 'sqlite3' 'expat' 'spidermonkey' 'curl' 'ffmpeg')
+makedepends=('gcc' 'patch' 'make')
+backup=(etc/conf.d/mediatomb)
+source=(
+	http://mesh.dl.sourceforge.net/sourceforge/mediatomb/mediatomb-$pkgver.tar.gz \
+	mediatomb.rc \
+	mediatomb.conf \
+	http://kapsi.fi/~ighea/arch/mediatomb-gcc-4.3.patch
+	mediatomb-0.11.0+glibc-2.10.patch
+)
+
+build()
+{
+	cd $startdir/src/mediatomb-$pkgver || return 1
+	patch -Np1 < ../mediatomb-gcc-4.3.patch || return 1
+	patch -Np0 < ../mediatomb-0.11.0+glibc-2.10.patch || return 1
+	
+	sed -e s/"ffmpeg\/avformat.h"/"libavformat\/avformat.h"/g -i configure
+	sed -e s/"ffmpeg\/avformat.h"/"libavformat\/avformat.h"/g -i configure.ac
+	sed -e s/"ffmpeg\/avformat.h"/"libavformat\/avformat.h"/g -i src/metadata/ffmpeg_handler.cc
+	
+
+	./configure --prefix=/usr --enable-mysql=no --enable-libmagic=yes \
+	 --enable-libjs=yes --enable-ffmpeg --with-ffmpeg-h=/usr/include/ || return 1
+
+	make || return 1
+	make DESTDIR=$startdir/pkg install || return 1
+
+	# rc-script
+	mkdir -p $startdir/pkg/etc/rc.d/ || return 1
+	install -m0755 ../mediatomb.rc $startdir/pkg/etc/rc.d/mediatomb || return 1
+
+	# config-file
+	mkdir -p $startdir/pkg/etc/conf.d/ || return 1
+	install -m0644 ../mediatomb.conf $startdir/pkg/etc/conf.d/mediatomb || return 1
+
+}
+md5sums=('661f08933830d920de21436fe122fb15'
+         'a7ff197d5760b20b04675ba67bfd9e86'
+         'a4cbd08c32c93f116363a29bef60e21d'
+         'eda28d01e035b3237566da5b1aad7712'
+         '3b895eabee88a0697b4fd0c30af6cab2')
diff --git a/abs/extra-testing/community/mediatomb/mediatomb-0.11.0+glibc-2.10.patch b/abs/extra-testing/community/mediatomb/mediatomb-0.11.0+glibc-2.10.patch
new file mode 100644
index 0000000..b1436c1
--- /dev/null
+++ b/abs/extra-testing/community/mediatomb/mediatomb-0.11.0+glibc-2.10.patch
@@ -0,0 +1,23 @@
+--- src/tools.cc	(revisione 2018)
++++ src/tools.cc	(copia locale)
+@@ -303,8 +303,8 @@
+     Ref<StringBuffer> buf(new StringBuffer(len / 2));
+     for (int i = 0; i < len; i += 2)
+     {
+-        char *chi = strchr(HEX_CHARS, ptr[i]);
+-        char *clo = strchr(HEX_CHARS, ptr[i + 1]);
++        const char *chi = strchr(HEX_CHARS, ptr[i]);
++        const char *clo = strchr(HEX_CHARS, ptr[i + 1]);
+         int hi, lo;
+         
+         if (chi)
+@@ -397,7 +397,7 @@
+             char clo = data[i++];
+             int hi, lo;
+ 
+-            char *pos;
++            const char *pos;
+ 
+             pos = strchr(hex, chi);
+             if (!pos)
+
diff --git a/abs/extra-testing/community/mediatomb/mediatomb-gcc-4.3.patch b/abs/extra-testing/community/mediatomb/mediatomb-gcc-4.3.patch
new file mode 100644
index 0000000..9440bec
--- /dev/null
+++ b/abs/extra-testing/community/mediatomb/mediatomb-gcc-4.3.patch
@@ -0,0 +1,24 @@
+# GCC-4.3 compatibility patch by Mika Hynnä (ighea) <igheaxATgmailDOTcom>
+#
+--- mediatomb-0.11.0/src/url.cc	2008-03-02 00:48:36.000000000 +0200
++++ mediatomb-0.11.0.new/src/url.cc	2008-04-14 00:53:21.000000000 +0300
+@@ -75,7 +75,7 @@
+ 
+     if (only_header)
+     {
+-        curl_easy_setopt(curl_handle, CURLOPT_NOBODY);
++        curl_easy_setopt(curl_handle, CURLOPT_NOBODY,0);
+         curl_easy_setopt(curl_handle, CURLOPT_HEADERFUNCTION, URL::dl);
+         curl_easy_setopt(curl_handle, CURLOPT_HEADERDATA, 
+                          (void *)buffer.getPtr());
+--- mediatomb-0.11.0/src/metadata/id3_handler.cc	2008-03-02 00:48:36.000000000 +0200
++++ mediatomb-0.11.0.new/src/metadata/id3_handler.cc	2008-04-14 01:22:36.000000000 +0300
+@@ -36,6 +36,8 @@
+ 
+ #ifdef HAVE_ID3
+ 
++#include <string.h>
++
+ #ifdef HAVE_CONFIG_H
+     #undef HAVE_CONFIG_H // else utils.h from the id3 library tries to import "config.h"
+ 
diff --git a/abs/extra-testing/community/mediatomb/mediatomb.conf b/abs/extra-testing/community/mediatomb/mediatomb.conf
new file mode 100644
index 0000000..339bd9e
--- /dev/null
+++ b/abs/extra-testing/community/mediatomb/mediatomb.conf
@@ -0,0 +1,5 @@
+# User to run the mediatomb as:
+USER=""
+# Extra parameters to pass to the daemon:
+PARAMS=""
+
diff --git a/abs/extra-testing/community/mediatomb/mediatomb.rc b/abs/extra-testing/community/mediatomb/mediatomb.rc
new file mode 100755
index 0000000..b3333cc
--- /dev/null
+++ b/abs/extra-testing/community/mediatomb/mediatomb.rc
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+DESC="MediaTomb UPnP A/V Media Server"
+
+USER=""
+
+if [ "$(whoami)" != "root" ];then
+ echo "You must be root to start/restart/stop services."
+ exit 1
+fi
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -r "/etc/conf.d/mediatomb" ] && . /etc/conf.d/mediatomb
+
+PID=`pidof -o %PPID /usr/bin/mediatomb`
+
+case "$1" in
+  start)
+    stat_busy "Starting $DESC"
+    if [ -z "$PID" ]; then
+	if [ -n "$USER" ]; then
+		echo -n "Starting as user: $USER"
+		su - $USER -c "/usr/bin/mediatomb -d $PARAMS &> /dev/null" || stat_fail
+	else
+		/usr/bin/mediatomb -d $PARAMS &> /dev/null || stat_fail
+	fi
+	PID=`pidof -o %PPID /usr/bin/mediatomb`
+	if [ -z "$PID" ]; then exit 1;fi
+	echo $PID > /var/run/mediatomb.pid
+	add_daemon mediatomb
+        stat_done
+    else    
+		echo -n "Already running!"
+		stat_fail
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping $DESC"
+    [ ! -z "$PID" ] && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      echo -n "Not started!"
+      stat_fail
+    else
+      rm /var/run/mediatomb.pid
+      rm_daemon mediatomb
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
-- 
cgit v0.12


From b6b7cd41b193c21fbed23c47dc56dbc16c113be9 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 12:44:57 -0500
Subject: ccache: initial import ref 508

---
 abs/extra-testing/ccache/PKGBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 abs/extra-testing/ccache/PKGBUILD

diff --git a/abs/extra-testing/ccache/PKGBUILD b/abs/extra-testing/ccache/PKGBUILD
new file mode 100644
index 0000000..14c3be9
--- /dev/null
+++ b/abs/extra-testing/ccache/PKGBUILD
@@ -0,0 +1,35 @@
+# $Id: PKGBUILD 33524 2009-04-04 13:56:15Z giovanni $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+
+pkgname=ccache
+pkgver=2.4
+pkgrel=5
+pkgdesc="ccache is a compiler cache"
+url="http://ccache.samba.org/"
+source=(http://samba.org/ftp/${pkgname}/$pkgname-$pkgver.tar.gz)
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('glibc')
+md5sums=('73c1ed1e767c1752dd0f548ec1e66ce7')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make || return 1
+  install -Dm 755 ccache ${pkgdir}/usr/bin/ccache
+  install -Dm 644 ccache.1 ${pkgdir}/usr/share/man/man1/ccache.1
+
+  mkdir -p ${pkgdir}/usr/lib/ccache/bin
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/cc 
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/gcc
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/g++
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/cpp
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/c++
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-cc
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-gcc
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-g++
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-cpp
+  ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-c++
+}
+
-- 
cgit v0.12


From ae1bd59670b5cc296524d1d66fabdcbebca58d5b Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 12:53:37 -0500
Subject: wxgtk: updated to 2.8.10.1

ref 508
---
 abs/extra-testing/wxgtk/ChangeLog      | 22 ++++++++++++
 abs/extra-testing/wxgtk/PKGBUILD       | 35 ++++++++++--------
 abs/extra-testing/wxgtk/gsocket.patch  | 18 ++++++++++
 abs/extra-testing/wxgtk/overflow.patch | 66 ++++++++++++++++++++++++++++++++++
 4 files changed, 127 insertions(+), 14 deletions(-)
 create mode 100644 abs/extra-testing/wxgtk/gsocket.patch
 create mode 100644 abs/extra-testing/wxgtk/overflow.patch

diff --git a/abs/extra-testing/wxgtk/ChangeLog b/abs/extra-testing/wxgtk/ChangeLog
index 03e9f96..ac2030d 100644
--- a/abs/extra-testing/wxgtk/ChangeLog
+++ b/abs/extra-testing/wxgtk/ChangeLog
@@ -1,3 +1,25 @@
+2009-10-20  Eric Belanger  <eric@archlinux.org>
+
+	* wxgtk 2.8.10.1-5
+	* Added mediactrl support (close FS#15377)
+	* Added glib2 build patch
+	* Improved description
+
+2009-07-11  Eric Belanger  <eric@archlinux.org>
+
+	* wxgtk 2.8.10.1-4
+	* Added security fix (close FS#15469)
+
+2009-05-21  Eric Belanger  <eric@archlinux.org>
+
+	* wxgtk 2.8.10.1-1
+	* Upstream update
+
+2009-05-05  Eric Belanger  <eric@archlinux.org>
+
+	* wxgtk 2.8.10-1
+	* Upstream update
+
 2009-03-06  Eric Belanger  <eric@archlinux.org>
 
 	* wxgtk 2.8.9.2-1
diff --git a/abs/extra-testing/wxgtk/PKGBUILD b/abs/extra-testing/wxgtk/PKGBUILD
index d98ac43..c4a16be 100644
--- a/abs/extra-testing/wxgtk/PKGBUILD
+++ b/abs/extra-testing/wxgtk/PKGBUILD
@@ -1,32 +1,39 @@
-# $Id: PKGBUILD 29177 2009-03-06 09:02:47Z eric $
+# $Id: PKGBUILD 63766 2010-01-18 14:31:06Z pierre $
 # Maintainer: Eric Belanger <eric@archlinux.org>
 # Original Contributor: Tom Newsom <Jeepster@gmx.co.uk>
 # New Version - Contributor: Bob Finch <w9ya@arrl.net>
 # with help from J. Santiago Hirschfeld <jsantiagoh@yahoo.com.ar> aka Angelus
 
 pkgname=wxgtk
-pkgver=2.8.9.2
-pkgrel=2
-pkgdesc="wxGTK - GTK+ implementation of wxWidgets API for GUI"
+pkgver=2.8.10.1
+pkgrel=6
+pkgdesc="GTK+ implementation of wxWidgets API for GUI"
 arch=('i686' 'x86_64')
 url="http://wxwidgets.org"
 license=('custom:wxWindows')
-depends=('gtk2>=2.12.11' 'mesa' 'libjpeg')
-#makedepends=('libgnomeprintui')
+depends=('gtk2' 'mesa' 'gstreamer0.10-base')
+makedepends=('gstreamer0.10-base-plugins' 'gconf' 'ccache')
+options=('ccache') # required to build libwx_gtk2u_mmedia
 #source=(http://downloads.sourceforge.net/wxwindows/wxGTK-${pkgver}.tar.bz2)
-source=(http://downloads.sourceforge.net/wxpython/wxPython-src-${pkgver}.tar.bz2)
-md5sums=('e3d89746af98b9279e4ff39a57f6dc63')
-sha1sums=('a0d58d8b9606d04a35b9853da15eb7dfb08d5637')
+source=(http://downloads.sourceforge.net/wxpython/wxPython-src-${pkgver}.tar.bz2 \
+        overflow.patch gsocket.patch)
+md5sums=('65d5ef166f23fe8b4c67f58df164f93e' '325dba65152bc0cfbc1400a2bf54508e'\
+         'b56113a94125e4f9a3cc2680052bdfde')
+sha1sums=('6598fbafd979a91f20100171fa23a91779f6dc62' '7c4d1d507aad0b7c25a0de55234be42ea3e3f55f'\
+         '5b0e985afd77153e8e4b9e14987d4b1a9de53acc')
 
 build() {
-  cd ${srcdir}/wxPython-src-${pkgver}
+  cd "${srcdir}/wxPython-src-${pkgver}"
+#  cd "${srcdir}/wxGTK-${pkgver}"
+  patch -p4 < ../overflow.patch || return 1
+  patch -p1 < ../gsocket.patch || return 1
   ./configure --prefix=/usr --libdir=/usr/lib --with-gtk=2 --with-opengl --enable-unicode \
-	  --enable-graphics_ctx --without-gnomeprint --disable-optimize || return 1
+    --enable-graphics_ctx  --disable-optimize --enable-mediactrl || return 1
   make || return 1
   make -C locale allmo || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
   cd contrib/src
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 ../../docs/licence.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 ../../docs/licence.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }
diff --git a/abs/extra-testing/wxgtk/gsocket.patch b/abs/extra-testing/wxgtk/gsocket.patch
new file mode 100644
index 0000000..0f1fc7b
--- /dev/null
+++ b/abs/extra-testing/wxgtk/gsocket.patch
@@ -0,0 +1,18 @@
+Index: 2.8/src/gtk/gsockgtk.cpp
+===================================================================
+--- 2.8/src/gtk/gsockgtk.cpp (revision 60599)
++++ 2.8/src/gtk/gsockgtk.cpp (working copy)
+@@ -15,8 +15,13 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+
++// newer versions of glib define its own GSocket but we unfortunately use this
++// name in our own (semi-)public header and so can't change it -- rename glib
++// one instead
++#define GSocket GlibGSocket
+ #include <gdk/gdk.h>
+ #include <glib.h>
++#undef GSocket
+
+ #include "wx/gsocket.h"
+ #include "wx/unix/gsockunx.h"
diff --git a/abs/extra-testing/wxgtk/overflow.patch b/abs/extra-testing/wxgtk/overflow.patch
new file mode 100644
index 0000000..543bdff
--- /dev/null
+++ b/abs/extra-testing/wxgtk/overflow.patch
@@ -0,0 +1,66 @@
+Index: /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagpng.cpp
+===================================================================
+--- /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagpng.cpp (revision 53479)
++++ /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagpng.cpp (revision 60875)
+@@ -569,5 +569,7 @@
+         goto error;
+ 
+-    lines = (unsigned char **)malloc( (size_t)(height * sizeof(unsigned char *)) );
++    // initialize all line pointers to NULL to ensure that they can be safely
++    // free()d if an error occurs before all of them could be allocated
++    lines = (unsigned char **)calloc(height, sizeof(unsigned char *));
+     if ( !lines )
+         goto error;
+@@ -576,9 +578,5 @@
+     {
+         if ((lines[i] = (unsigned char *)malloc( (size_t)(width * (sizeof(unsigned char) * 4)))) == NULL)
+-        {
+-            for ( unsigned int n = 0; n < i; n++ )
+-                free( lines[n] );
+             goto error;
+-        }
+     }
+ 
+Index: /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagtiff.cpp
+===================================================================
+--- /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagtiff.cpp (revision 48694)
++++ /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagtiff.cpp (revision 60876)
+@@ -262,5 +262,4 @@
+ 
+     uint32 w, h;
+-    uint32 npixels;
+     uint32 *raster;
+ 
+@@ -276,7 +275,18 @@
+                             samplesInfo[0] == EXTRASAMPLE_UNASSALPHA));
+ 
+-    npixels = w * h;
+-
+-    raster = (uint32*) _TIFFmalloc( npixels * sizeof(uint32) );
++    // guard against integer overflow during multiplication which could result
++    // in allocating a too small buffer and then overflowing it
++    const double bytesNeeded = w * h * sizeof(uint32);
++    if ( bytesNeeded >= 4294967295U /* UINT32_MAX */ )
++    {
++        if ( verbose )
++            wxLogError( _("TIFF: Image size is abnormally big.") );
++
++        TIFFClose(tif);
++
++        return false;
++    }
++
++    raster = (uint32*) _TIFFmalloc( bytesNeeded );
+ 
+     if (!raster)
+Index: /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagtiff.cpp
+===================================================================
+--- /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagtiff.cpp (revision 60876)
++++ /wxWidgets/branches/WX_2_8_BRANCH/src/common/imagtiff.cpp (revision 60897)
+@@ -277,5 +277,5 @@
+     // guard against integer overflow during multiplication which could result
+     // in allocating a too small buffer and then overflowing it
+-    const double bytesNeeded = w * h * sizeof(uint32);
++    const double bytesNeeded = (double)w * (double)h * sizeof(uint32);
+     if ( bytesNeeded >= 4294967295U /* UINT32_MAX */ )
+     {
-- 
cgit v0.12


From 6fc275667dba6cabf4fbec5eaf75fdcc2349aef3 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 13:19:41 -0500
Subject: geopip and python-geopip: initial import ref 508

---
 abs/extra-testing/geoip/PKGBUILD        | 25 +++++++++++++++++++++++++
 abs/extra-testing/python-geoip/PKGBUILD | 20 ++++++++++++++++++++
 2 files changed, 45 insertions(+)
 create mode 100644 abs/extra-testing/geoip/PKGBUILD
 create mode 100644 abs/extra-testing/python-geoip/PKGBUILD

diff --git a/abs/extra-testing/geoip/PKGBUILD b/abs/extra-testing/geoip/PKGBUILD
new file mode 100644
index 0000000..9ae74ba
--- /dev/null
+++ b/abs/extra-testing/geoip/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 40078 2009-05-27 06:04:17Z juergen $
+# Maintainer: Dan McGee <dan@archlinux.org>
+# Contributor: Manolis Tzanidakis <manolis@archlinux.org>
+
+pkgname=geoip
+pkgver=1.4.6
+pkgrel=1
+pkgdesc="Non-DNS IP-to-country resolver C library & utils"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://www.maxmind.com/app/c"
+depends=('zlib')
+backup=(etc/geoip/GeoIP.conf)
+options=('!libtool')
+source=(http://www.maxmind.com/download/geoip/api/c/GeoIP-${pkgver}.tar.gz)
+md5sums=('cb14b1beeb40631a12676b11ca0c309a')
+
+build() {
+  cd ${startdir}/src/GeoIP-${pkgver}
+  ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc/geoip
+  make || return 1
+  make check || return 1
+  make DESTDIR=${startdir}/pkg install
+}
+
diff --git a/abs/extra-testing/python-geoip/PKGBUILD b/abs/extra-testing/python-geoip/PKGBUILD
new file mode 100644
index 0000000..9def348
--- /dev/null
+++ b/abs/extra-testing/python-geoip/PKGBUILD
@@ -0,0 +1,20 @@
+# $Id: PKGBUILD 29760 2009-03-12 10:07:44Z douglas $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgname=python-geoip
+pkgver=1.2.4
+pkgrel=1
+pkgdesc="Python bindings for the GeoIP IP-to-country resolver library."
+arch=(i686 x86_64)
+url="http://www.maxmind.com/app/python"
+license=('LGPL')
+depends=('python>=2.5' 'geoip')
+source=(http://www.maxmind.com/download/geoip/api/python/GeoIP-Python-${pkgver}.tar.gz)
+replaces=('geoip-python')
+provides=('geoip-python')
+
+build() {
+  cd ${startdir}/src/GeoIP-Python-${pkgver}
+  python setup.py build install --root=${startdir}/pkg
+}
+md5sums=('50f820d854476efaf3b7af733ffe4236')
-- 
cgit v0.12


From 5c349955d479154c481453a8bc21fb1b90579ce2 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 13:20:07 -0500
Subject: crypto++: initial import ref 508

---
 abs/extra-testing/crypto++/PKGBUILD | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100644 abs/extra-testing/crypto++/PKGBUILD

diff --git a/abs/extra-testing/crypto++/PKGBUILD b/abs/extra-testing/crypto++/PKGBUILD
new file mode 100644
index 0000000..35bf2b7
--- /dev/null
+++ b/abs/extra-testing/crypto++/PKGBUILD
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD 68024 2010-02-10 14:24:12Z giovanni $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Kritoke <kritoke@gamebox.net>
+# Contributor: jlvsimoes <jlvsimoes@oninet.pt>
+
+pkgname=crypto++
+pkgver=5.6.0
+_srcver=560
+pkgrel=2
+pkgdesc="A free C++ class library of cryptographic schemes."
+arch=('i686' 'x86_64')
+license=('custom')
+makedepends=('unzip')
+url="http://www.cryptopp.com/"
+source=(http://www.cryptopp.com/cryptopp${_srcver}.zip)
+md5sums=('36f35789ad60489d58003d3c849807e8')
+
+build() {
+  cd ${srcdir}
+  sed -i -e 's/^CXXFLAGS/#CXXFLAGS/' GNUmakefile
+  make -f GNUmakefile || return 1
+  install -d ${pkgdir}/usr/{lib,include/cryptopp}
+  install -m644 *.h ${pkgdir}/usr/include/cryptopp/
+  install -m644 libcryptopp.a ${pkgdir}/usr/lib/
+  install -D -m644 License.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+}
-- 
cgit v0.12


From 8f0efa2798fa0af1cc877491fa9b9f85e991308f Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 13:20:38 -0500
Subject: amule: initial import closes  508

---
 abs/extra-testing/community/amule/PKGBUILD | 37 ++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 abs/extra-testing/community/amule/PKGBUILD

diff --git a/abs/extra-testing/community/amule/PKGBUILD b/abs/extra-testing/community/amule/PKGBUILD
new file mode 100644
index 0000000..3bb5c1b
--- /dev/null
+++ b/abs/extra-testing/community/amule/PKGBUILD
@@ -0,0 +1,37 @@
+# $Id: PKGBUILD 63810 2010-01-18 20:34:42Z ibiru $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Henrik Ronellenfitsch <searinox@web.de>
+
+pkgname=amule
+pkgver=2.2.6
+pkgrel=2
+pkgdesc="An eMule-like client for ed2k p2p network"
+arch=('i686' 'x86_64')
+url="http://www.amule.org"
+license=('GPL')
+depends=('wxgtk>=2.8.10.1' 'gd>=2.0.35' 'geoip')
+makedepends=('crypto++')
+source=(http://downloads.sourceforge.net/project/${pkgname}/aMule/${pkgver}/aMule-${pkgver}.tar.bz2)
+md5sums=('530d9b48187e36f78fc21bb19e94326d')
+
+build() {
+  cd ${srcdir}/aMule-${pkgver}
+
+  ./configure --prefix=/usr \
+              --mandir=/usr/share/man \
+              --enable-cas \
+              --enable-wxcas \
+              --enable-amule-daemon \
+              --enable-amulecmd \
+              --enable-amule-gui \
+              --enable-alc \
+              --enable-alcc \
+              --enable-webserver \
+              --disable-debug \
+              --enable-optimize \
+	      --enable-ccache \
+	      --enable-geoip
+
+  make || return 1
+  make DESTDIR=${pkgdir}/ install || return 1
+}
-- 
cgit v0.12


From ff392a0dfe8479d4807130fec213987a4e017ad0 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 14:14:43 -0500
Subject: lighttpd: change .cgi to be assigned to perl

ref 620
---
 abs/core-testing/lighttpd/PKGBUILD      | 4 ++--
 abs/core-testing/lighttpd/__changelog   | 3 +++
 abs/core-testing/lighttpd/lighttpd.conf | 2 +-
 3 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/abs/core-testing/lighttpd/PKGBUILD b/abs/core-testing/lighttpd/PKGBUILD
index c31e924..bbb0a39 100644
--- a/abs/core-testing/lighttpd/PKGBUILD
+++ b/abs/core-testing/lighttpd/PKGBUILD
@@ -3,7 +3,7 @@
 
 pkgname=lighttpd
 pkgver=1.4.26
-pkgrel=8
+pkgrel=9
 pkgdesc='a secure, fast, compliant and very flexible web-server'
 license=('custom')
 arch=('i686' 'x86_64')
@@ -72,6 +72,6 @@ build() {
 md5sums=('a682c8efce47a2f4263a247ba0813c9b'
          'bd690eee0d9e51857448770a151023b0'
          '857e174643fd7761a2f0d8431a679f6c'
-         'fe078f9b8ee701ed21278789cad90acf'
+         '07b8459b54fb2e70280064c2a275b176'
          'c6e361131000ceec085f40b310ef4a2c'
          '84c884b8dadd724afe2bc6529e9d4485')
diff --git a/abs/core-testing/lighttpd/__changelog b/abs/core-testing/lighttpd/__changelog
index a96d942..63bc373 100644
--- a/abs/core-testing/lighttpd/__changelog
+++ b/abs/core-testing/lighttpd/__changelog
@@ -4,3 +4,6 @@ modified auth to require valid user (include auth-inc.conf)
 # by mihanson:
 upgraded to 1.4.26 to address http://linhes.org/flyspray/index.php?do=details&task_id=624
 Added -e 's|"^/mythweb|"^/{1,2}mythweb|' \ to the sed command to work around lighttpd no longer honoring // in a url and/or to work around mythweb producing url's with a // for streaming and downloading.
+
+changed lightttpd.conf to user perl for .cgi (needed for monx)_
+
diff --git a/abs/core-testing/lighttpd/lighttpd.conf b/abs/core-testing/lighttpd/lighttpd.conf
index 0c55f52..af7d134 100644
--- a/abs/core-testing/lighttpd/lighttpd.conf
+++ b/abs/core-testing/lighttpd/lighttpd.conf
@@ -235,7 +235,7 @@ server.groupname           = "http"
 )	
 #### CGI module
 cgi.assign                 = ( ".pl"  => "/usr/bin/perl",
-                               ".cgi" => "/bin/bash" )
+                               ".cgi" => "/usr/bin/perl" )
 
    url.rewrite-once = (
        "^/mythweb/(css|data|images|js|themes|skins|[a-z_]+\.(php|pl)).*" => "$0",
-- 
cgit v0.12


From 896386ce11f9aa74bd596f4eb1458e9c01d4b681 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 14:16:41 -0500
Subject: monitorix: initial import: used the pkgbuild as provided by graysky
 changed .install file to reflect name of pkg replace hostname in config file
 on install

closes 620
---
 abs/extra-testing/monitorix-linhes.tar.gz     | Bin 0 -> 1970 bytes
 abs/extra-testing/monitorix/PKGBUILD          |  58 ++++++++++++++++++++++++++
 abs/extra-testing/monitorix/monitorix.install |  30 +++++++++++++
 abs/extra-testing/monitorix/monitorix.rc.d    |  54 ++++++++++++++++++++++++
 4 files changed, 142 insertions(+)
 create mode 100644 abs/extra-testing/monitorix-linhes.tar.gz
 create mode 100644 abs/extra-testing/monitorix/PKGBUILD
 create mode 100644 abs/extra-testing/monitorix/monitorix.install
 create mode 100644 abs/extra-testing/monitorix/monitorix.rc.d

diff --git a/abs/extra-testing/monitorix-linhes.tar.gz b/abs/extra-testing/monitorix-linhes.tar.gz
new file mode 100644
index 0000000..02ea6e2
Binary files /dev/null and b/abs/extra-testing/monitorix-linhes.tar.gz differ
diff --git a/abs/extra-testing/monitorix/PKGBUILD b/abs/extra-testing/monitorix/PKGBUILD
new file mode 100644
index 0000000..af69d47
--- /dev/null
+++ b/abs/extra-testing/monitorix/PKGBUILD
@@ -0,0 +1,58 @@
+# Maintainer: graysky <da_audiophile yahoo>
+
+pkgname=monitorix
+pkgver=1.4.2
+pkgrel=7
+pkgdesc='A lightweight system monitoring tool that uses rrd databases.'
+arch=(i686)
+url=http://www.$pkgname.org/
+license=(GPL)
+depends=(dcron rrdtool lighttpd )
+optdepends=('lm_sensors: enable support for system temp monitoring'
+'hddtemp: enable support for hdd temp monitoring')
+
+backup=(etc/$pkgname.conf)
+source=($url$pkgname-$pkgver.tar.gz
+        monitorix.rc.d)
+md5sums=('6db1bdbeeb0d128622590dfecb9694e4'
+'34e7cb2d78bb4e3ece4aeb4ed26a0d43')
+install=('monitorix.install')
+
+build() {
+  cd $pkgname-$pkgver
+
+  install -D $pkgname.pl $pkgdir/usr/sbin/$pkgname.pl
+  install -D ../$pkgname.rc.d $pkgdir/etc/rc.d/$pkgname
+
+# use LinHES defaults
+  sed -e '/^our $OSTYPE/ s,RHFC,Arch,' \
+      -e '/^our $TITLE/ s,FIBRANET NSP\, SL,LinHES,' \
+      -e '/^our @HDDTEMP_LIST/ s,hda,sda,' \
+      -e '/^our $ENABLE_CROND_MAIL/ s,Y,N,' \
+      -e '/^our $ENABLE_SERVU/ s,Y,N,' \
+      -e '/^our $ENABLE_PORT/ s,Y,N,' \
+      -e '/^our $ENABLE_USER/ s,Y,N,' \
+      -e '/^our $ENABLE_INT/ s,Y,N,' \
+      -e '/^our @HDDTEMP_LIST/ s,hda,sda,' \
+      -e '/^our @MNT_LIST/ s,boot,myth,' \
+      -e '/^\s*"Linux-Arch"/ s,/var/log/httpd/access.log,/var/log/httpd/access_log,' \
+      -e '/^\s*"Linux-Arch"/ s,/var/log/secure,/var/log/auth.log,' \
+      -e '/^\s*"Linux-Arch"/ s,/srv/http,/data/srv/httpd/htdocs,' < $pkgname.conf \
+                                                                        > $pkgdir/etc/$pkgname.conf
+
+  mkdir -p $pkgdir/var/lib/$pkgname/usage
+  cp -r reports $pkgdir/var/lib/$pkgname
+
+  mkdir -p $pkgdir/usr/share/doc/$pkgname
+  cp Changes $pkgname-apache.conf $pkgname-alert.sh README README.nginx TODO \
+     $pkgdir/usr/share/doc/$pkgname
+
+  install -dm777 $pkgdir/data/srv/httpd/htdocs/$pkgname/imgs
+  cp {logo_bot,logo_top,${pkgname}ico}.png $pkgdir/data/srv/httpd/htdocs/$pkgname
+
+  install -D $pkgname.cgi $pkgdir/data/srv/httpd/htdocs/cgi-bin/$pkgname.cgi
+
+  gzip -9 man/man5/$pkgname.conf.5
+  install -Dm644 man/man5/$pkgname.conf.5.gz $pkgdir/usr/share/man/man5/$pkgname.conf.5.gz
+}
+
diff --git a/abs/extra-testing/monitorix/monitorix.install b/abs/extra-testing/monitorix/monitorix.install
new file mode 100644
index 0000000..d7fb1c4
--- /dev/null
+++ b/abs/extra-testing/monitorix/monitorix.install
@@ -0,0 +1,30 @@
+remove_notes() {
+ echo '----------------------------------------------------------------------'
+ echo 'To remove all traces of monitorix from your system, you must manually'
+ echo 'remove the following dir trees (doing so will delete your databases):'
+ echo
+ echo '/var/lib/monitorix'
+ echo '/srv/http/monitorix'
+ echo '----------------------------------------------------------------------'
+}
+
+# $1: The new package version
+# $2: The old package version
+post_upgrade() {
+    echo ''
+    echo '' 
+    echo  'now edit /etc/monitorix.conf'
+    echo ' our $HOSTNAME - your hostname.'
+    echo ' our $ENABLE_LMTEMP - switch this on if you wanna log your temps.'
+    echo ' our @HDDTEMP_LIST - If you system has more than one hdd, add it to the array.'
+    echo ' stats can be seen at http://$THIS_SYSTEMS_IP/monitorix/'
+
+    echo '' 
+    echo '' 
+}
+
+post_install(){
+    . /etc/systemconfig
+    sed -i "s/^our \$HOSTNAME.*$/our \$HOSTNAME = \"${hostname}\"/" /etc/monitorix.conf|
+    post_upgrade
+}
diff --git a/abs/extra-testing/monitorix/monitorix.rc.d b/abs/extra-testing/monitorix/monitorix.rc.d
new file mode 100644
index 0000000..9649519
--- /dev/null
+++ b/abs/extra-testing/monitorix/monitorix.rc.d
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# @(#) Fibranet NSP, SL
+# Copyright (C) 2005-2009 by Jordi Sanfeliu <jordi@fibranet.cat>
+#
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case $1 in
+    start)
+        stat_busy "Starting Monitorix"
+        if ck_daemon monitorix; then
+	if [ -x /etc/cron.hourly/sync-monitorix.sh ]; then
+                /etc/cron.hourly/sync-monitorix.sh >/dev/null 2>&1
+        fi
+            # Creates RRDs files if needed
+            /usr/sbin/monitorix.pl create >/dev/null 2>&1 || stat_die $?
+            /usr/sbin/monitorix.pl init >/dev/null 2>&1 || stat_die $?
+            add_daemon monitorix
+        # restart crond so data gets collected
+        /sbin/sv restart cron
+            stat_done
+        else
+            stat_fail
+        fi
+    ;;
+
+    stop)
+        stat_busy "Stopping Monitorix"
+        if ! ck_daemon monitorix; then
+        if [ -x /etc/cron.hourly/sync-monitorix.sh ]; then
+                /etc/cron.hourly/sync-monitorix.sh >/dev/null 2>&1
+        fi
+            /usr/sbin/monitorix.pl stop 2>&1 || stat_die $?
+            rm_daemon monitorix
+        # restart crond data stops getting collected
+        /sbin/sv restart cron
+            stat_done
+        else
+            stat_fail
+        fi
+    ;;
+
+    restart)
+        $0 stop
+        sleep 1
+        $0 start
+    ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+    ;;
+esac
+
+exit 0
-- 
cgit v0.12


From eb21cdae644a7758d77f5a9bfe6b42ef4291266e Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 14:47:43 -0500
Subject: linhes-scripts:  add .php to mythvideo blacklist This is done via
 remove_php_mythvideo.sh.

This is run whenever linhes-scripts is installed.
This should probably be removed after a few releases.
closes 522
---
 abs/core-testing/linhes-scripts/PKGBUILD           | 56 +++++++++++++++++++++-
 .../linhes-scripts/linhes-scripts.install          |  7 +++
 .../linhes-scripts/remove_php_mythvideo.sh         |  6 +++
 3 files changed, 68 insertions(+), 1 deletion(-)
 create mode 100644 abs/core-testing/linhes-scripts/linhes-scripts.install
 create mode 100644 abs/core-testing/linhes-scripts/remove_php_mythvideo.sh

diff --git a/abs/core-testing/linhes-scripts/PKGBUILD b/abs/core-testing/linhes-scripts/PKGBUILD
index af152c1..f721fee 100644
--- a/abs/core-testing/linhes-scripts/PKGBUILD
+++ b/abs/core-testing/linhes-scripts/PKGBUILD
@@ -3,12 +3,13 @@
 
 pkgname=linhes-scripts
 pkgver=1
-pkgrel=51
+pkgrel=55
 pkgdesc="Various scripts that help to make LinHES, LinHES."
 arch=('i686' 'x86_64')
 license=('GPL2')
 depends=('xosd' 'cpulimit')
 url="http://linhes.org/"
+install="linhes-scripts.install"
 source=(
 myth2xvid
 shootscreens.sh
@@ -35,6 +36,7 @@ linhes_update3.sh
 install_hulu.sh
 update_schema_021_to_022.sh
 upgrade_to_0.22.sh
+remove_php_mythvideo.sh
 )
 
 build() {
@@ -48,3 +50,55 @@ build() {
   mkdir -p $startdir/pkg/etc/logrotate.d/
   cp pause_mythcommflag $startdir/pkg/etc/logrotate.d/
 }
+md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
+         '623b6e9ba6cc4a19771005e750f337a7'
+         '9ae2cd7a0c42d57ad8b5f515d7d60196'
+         '1274bad3fb7296f00acd2d44804bad14'
+         'b4f858834ea92418208ab496ca39ad32'
+         '6b6e7d34a4bda6d608d150039adefd07'
+         '3fe554dbbf7d09e1f9925032ba888bf5'
+         '18263972b6326e140bbef0bb7dfa2da9'
+         '410795ef9039e4c6c0484e706ecfd567'
+         '0750d7c65109d12aa536f312a38410d1'
+         'ac2a4a6b4100f4d7bfb9ecd9356c8c6e'
+         'd2b475821f902c5e081e7da43a35e6ac'
+         '26a194301b0cfc4ca212d462a0899077'
+         '3b776bbff68906ddc2f62b7e0dde3fe4'
+         '85706c981e8ec2c5bb49a33538782d4c'
+         '3d0adf26280cde55a0c47188fff34826'
+         '93aaa2940e33ec9ebb305b839ac46a3e'
+         '972e42e02a11575da91f5e051d4de1d2'
+         'b527b01d119d3bc33b8fa69bdf1082bb'
+         'c537c44156d8404016cc4b405b092d45'
+         '4e66f302a77f1a857476e7f289d0c157'
+         'be324dba44ae96676973a74421944853'
+         'c9dc0dd07369622879a000247ac55074'
+         '3256a968ea4c06b2f6bfb68d7bb1a8f5'
+         'ea5492d4dab8271db20cb84416c001dc'
+         'fc9c3858a30891f159267123b007c0ea')
+md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
+         '623b6e9ba6cc4a19771005e750f337a7'
+         '9ae2cd7a0c42d57ad8b5f515d7d60196'
+         '1274bad3fb7296f00acd2d44804bad14'
+         'b4f858834ea92418208ab496ca39ad32'
+         '6b6e7d34a4bda6d608d150039adefd07'
+         '3fe554dbbf7d09e1f9925032ba888bf5'
+         '18263972b6326e140bbef0bb7dfa2da9'
+         '410795ef9039e4c6c0484e706ecfd567'
+         '0750d7c65109d12aa536f312a38410d1'
+         'ac2a4a6b4100f4d7bfb9ecd9356c8c6e'
+         'd2b475821f902c5e081e7da43a35e6ac'
+         '26a194301b0cfc4ca212d462a0899077'
+         '3b776bbff68906ddc2f62b7e0dde3fe4'
+         '85706c981e8ec2c5bb49a33538782d4c'
+         '3d0adf26280cde55a0c47188fff34826'
+         '93aaa2940e33ec9ebb305b839ac46a3e'
+         '972e42e02a11575da91f5e051d4de1d2'
+         'b527b01d119d3bc33b8fa69bdf1082bb'
+         'c537c44156d8404016cc4b405b092d45'
+         '4e66f302a77f1a857476e7f289d0c157'
+         'be324dba44ae96676973a74421944853'
+         'c9dc0dd07369622879a000247ac55074'
+         '3256a968ea4c06b2f6bfb68d7bb1a8f5'
+         'ea5492d4dab8271db20cb84416c001dc'
+         'd7c7914225ec86bf3ea46104a364f977')
diff --git a/abs/core-testing/linhes-scripts/linhes-scripts.install b/abs/core-testing/linhes-scripts/linhes-scripts.install
new file mode 100644
index 0000000..f554bd0
--- /dev/null
+++ b/abs/core-testing/linhes-scripts/linhes-scripts.install
@@ -0,0 +1,7 @@
+
+post_upgrade() {
+    . /etc/profile
+    /usr/LH/bin/remove_php_mythvideo.sh
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/abs/core-testing/linhes-scripts/remove_php_mythvideo.sh b/abs/core-testing/linhes-scripts/remove_php_mythvideo.sh
new file mode 100644
index 0000000..5320756
--- /dev/null
+++ b/abs/core-testing/linhes-scripts/remove_php_mythvideo.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+mysql mythconverg <<EOF
+delete from videotypes where extension='php';
+insert into videotypes(extension,f_ignore) values('php','1');
+EOF
-- 
cgit v0.12


From 98169e32bb1ceb02382a0eb23e9444a28d51c1bc Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 14:58:57 -0500
Subject: mythtv: modify pretty script to check for mythlink or mythrename

closes 637

Note only made the change to pretty, did not rebuild pkgs
---
 abs/core-testing/mythtv/stable-0.22/mythtv/PKGBUILD |  9 +++++++--
 abs/core-testing/mythtv/stable-0.22/mythtv/pretty   | 11 ++++++++++-
 abs/core-testing/mythtv/trunk/mythtv/PKGBUILD       |  5 +++++
 abs/core-testing/mythtv/trunk/mythtv/pretty         | 11 ++++++++++-
 4 files changed, 32 insertions(+), 4 deletions(-)

diff --git a/abs/core-testing/mythtv/stable-0.22/mythtv/PKGBUILD b/abs/core-testing/mythtv/stable-0.22/mythtv/PKGBUILD
index 87dbbb5..4718d8d 100755
--- a/abs/core-testing/mythtv/stable-0.22/mythtv/PKGBUILD
+++ b/abs/core-testing/mythtv/stable-0.22/mythtv/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythtv
 pkgver=0.22
-pkgrel=22012
+pkgrel=22013
 pkgdesc="A personal video recorder for Linux"
 url="http://www.mythtv.org"
 license="GPL"
@@ -100,4 +100,9 @@ build() {
 	mkdir -p $startdir/pkg/etc/cron.hourly/
 	install -m0755 $startdir/src/pretty $startdir/pkg/etc/cron.hourly/
 }
-
+md5sums=('7ef6de58240e7aad389a0b13d91b1cf6'
+         '2babd4b8e146a7538d18dcd55695b0be'
+         'aa50bfa75ceceb0bdd5c1e4508690693'
+         'f735805a80b0d1180dee01f9df1b7004'
+         'f407d6af23e74a49540755420f84fa58'
+         'f944c51c40208fdb3d8e3dd3d8c60bf3')
diff --git a/abs/core-testing/mythtv/stable-0.22/mythtv/pretty b/abs/core-testing/mythtv/stable-0.22/mythtv/pretty
index 1cfc57b..8b0e051 100755
--- a/abs/core-testing/mythtv/stable-0.22/mythtv/pretty
+++ b/abs/core-testing/mythtv/stable-0.22/mythtv/pretty
@@ -1,2 +1,11 @@
 #!/bin/bash
-su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythrename.pl --link /myth/pretty"
+#!/bin/bash
+if [ -f /usr/share/mythtv/contrib/user_jobs/mythlink.pl ]
+then
+        su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythlink.pl --link /myth/pretty"
+elif [ -f /usr/share/mythtv/contrib/user_jobs/mythrename.pl ]
+then
+        su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythrename.pl --link /myth/pretty"a
+fi
+
+
diff --git a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
index 2a6f2a4..8d27f31 100755
--- a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
@@ -89,3 +89,8 @@ build() {
 	install -m0755 $startdir/src/pretty $startdir/pkg/etc/cron.hourly/
 }
 
+md5sums=('7ef6de58240e7aad389a0b13d91b1cf6'
+         '2babd4b8e146a7538d18dcd55695b0be'
+         'f735805a80b0d1180dee01f9df1b7004'
+         'f407d6af23e74a49540755420f84fa58'
+         'f944c51c40208fdb3d8e3dd3d8c60bf3')
diff --git a/abs/core-testing/mythtv/trunk/mythtv/pretty b/abs/core-testing/mythtv/trunk/mythtv/pretty
index 1cfc57b..8b0e051 100755
--- a/abs/core-testing/mythtv/trunk/mythtv/pretty
+++ b/abs/core-testing/mythtv/trunk/mythtv/pretty
@@ -1,2 +1,11 @@
 #!/bin/bash
-su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythrename.pl --link /myth/pretty"
+#!/bin/bash
+if [ -f /usr/share/mythtv/contrib/user_jobs/mythlink.pl ]
+then
+        su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythlink.pl --link /myth/pretty"
+elif [ -f /usr/share/mythtv/contrib/user_jobs/mythrename.pl ]
+then
+        su - mythtv -c "perl /usr/share/mythtv/contrib/user_jobs/mythrename.pl --link /myth/pretty"a
+fi
+
+
-- 
cgit v0.12


From d35e3624bb54c02a7488fd2e1501a2af3c5aaff6 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 16:29:59 -0500
Subject: squeezeboxserver: initial import: pkg from
 http://aur.archlinux.org/packages.php?ID=31569

closes 415
---
 .../community/squeezeboxserver/PKGBUILD            | 34 +++++++++++++
 .../squeezeboxserver/squeezeboxserver.conf.d       |  7 +++
 .../squeezeboxserver/squeezeboxserver.install      | 56 ++++++++++++++++++++++
 .../community/squeezeboxserver/squeezeboxserver.rc | 47 ++++++++++++++++++
 4 files changed, 144 insertions(+)
 create mode 100644 abs/extra-testing/community/squeezeboxserver/PKGBUILD
 create mode 100644 abs/extra-testing/community/squeezeboxserver/squeezeboxserver.conf.d
 create mode 100644 abs/extra-testing/community/squeezeboxserver/squeezeboxserver.install
 create mode 100644 abs/extra-testing/community/squeezeboxserver/squeezeboxserver.rc

diff --git a/abs/extra-testing/community/squeezeboxserver/PKGBUILD b/abs/extra-testing/community/squeezeboxserver/PKGBUILD
new file mode 100644
index 0000000..45db11f
--- /dev/null
+++ b/abs/extra-testing/community/squeezeboxserver/PKGBUILD
@@ -0,0 +1,34 @@
+# Contributor: Anton Prins <uar at prinsonline dot demon dot nl>
+
+pkgname=squeezeboxserver
+pkgver=7.4.1
+pkgrel=1
+pkgdesc="Powerful streaming audio server from Slim Devices"
+depends=(
+# unknown to me, default arch install + openssh handles it
+        )
+
+source=(http://downloads.slimdevices.com/SqueezeboxServer_v${pkgver}/squeezeboxserver-${pkgver}.tgz
+        $pkgname.rc
+        $pkgname.conf.d
+        )
+
+url="http://www.slimdevices.com/pi_features.html"
+license=('GPL')
+arch=('i686' 'x86_64')
+install=squeezeboxserver.install
+
+#not sure how to handle the build number -28947?
+build() {
+cd $startdir/src/squeezeboxserver-${pkgver}-28947 || return 1
+
+mkdir -p $startdir/pkg/home/squeezeboxserver || return 1
+cp -a * $startdir/pkg/home/squeezeboxserver || return 1
+install -D -m755 ../squeezeboxserver.rc $startdir/pkg/etc/rc.d/squeezeboxserver || return 1
+install -D -m644 ../squeezeboxserver.conf.d $startdir/pkg/etc/conf.d/squeezeboxserver || return 1
+mkdir $startdir/pkg/home/squeezeboxserver/prefs
+}
+
+md5sums=('fa65636e7df75ae7af884a2efa184639'
+         '5e57982c257797badbf72c2ae04994f7'
+         'aa65896541958e119e63ee7c96be39af')
diff --git a/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.conf.d b/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.conf.d
new file mode 100644
index 0000000..d14a2e9
--- /dev/null
+++ b/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.conf.d
@@ -0,0 +1,7 @@
+# Configuration file for SqueezeCenter on Arch Linux.
+# Save this as /etc/conf.d/squeezeboxserver
+
+# Enter space-delimited options on the following line.
+# e.g. SQUEEZEBOXSERVER_OPTS="--diag --d_scan --d_command"
+# See "/home/squeezeboxserver/slimserver.pl --help" for a full list of possible options.
+SQUEEZEBOXSERVER_OPTS=""
diff --git a/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.install b/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.install
new file mode 100644
index 0000000..058de02
--- /dev/null
+++ b/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.install
@@ -0,0 +1,56 @@
+post_install() {
+echo -n "adding squeezeboxserver user... "
+useradd -c "SqueezeBoxServer" -g users -s /bin/false squeezeboxserver && echo "done."
+passwd -l squeezeboxserver &>/dev/null
+
+chown -R squeezeboxserver:users /home/squeezeboxserver
+
+install -o squeezeboxserver -d /var/cache/squeezeboxserver
+touch /var/log/squeezeboxserver.log
+chown squeezeboxserver:users /var/log/squeezeboxserver.log
+
+cat << 'EOM'
+
+==> SqueezeBoxServer uses MySQL instead of sqlite. If you have MySQL up and running
+==> you can configure SqueezeBoxServer to use that server as described here:
+==> http://wiki.slimdevices.com/index.php/ExistingMySQLInstance 
+
+==> PLEASE NOTE: SqueezeBoxServer should always be run as the user 'squeezeboxserver'.
+==> This is easily done by adding squeezeboxserver to the DAEMONS array in rc.conf,
+==> after network and mysql.
+
+==> Additional run-time options can be added to /etc/conf.d/squeezeboxserver.
+==> Please refer to "/home/squeezeboxserver/slimserver.pl --help" for full details.
+
+EOM
+}
+
+post_upgrade() {
+chown -R squeezeboxserver:users /home/squeezeboxserver
+
+cat << 'EOM'
+
+==> SqueezeBoxServer uses MySQL instead of sqlite. If you have MySQL up and running
+==> you can configure SqueezeBoxServer to use that server as described here:
+==> http://wiki.slimdevices.com/index.php/ExistingMySQLInstance 
+
+EOM
+}
+
+pre_remove() {
+# pre_remove gets called whenever post_remove is defined.
+true
+}
+
+post_remove() {
+# post_remove doesn't start at a newline like the other post_* functions,
+# so we'll have to make one for ourselves.
+echo -n -e "\nremoving squeezeboxserver user... "
+userdel squeezeboxserver && echo "done."
+
+rm -r /var/cache/squeezeboxserver /var/log/squeezeboxserver.log
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.rc b/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.rc
new file mode 100644
index 0000000..d33db16
--- /dev/null
+++ b/abs/extra-testing/community/squeezeboxserver/squeezeboxserver.rc
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/squeezeboxserver ] && . /etc/conf.d/squeezeboxserver
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+squeezehome=/home/squeezeboxserver
+pidfile=/var/run/squeezeboxserver.pid
+logfile=/var/log/squeezeboxserver.log
+prefsdir=/home/squeezeboxserver/prefs
+cachedir=/var/cache/squeezeboxserver
+
+
+case "$1" in
+  start)
+    stat_busy "Starting SqueezeBoxServer"
+    cd $squeezehome
+    ./slimserver.pl --daemon --user squeezeboxserver --prefsdir $prefsdir \
+    --cachedir $cachedir --pidfile $pidfile --logfile $logfile $SQUEEZEBOXSERVER_OPTS 
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon squeezeboxserver
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping SqueezeBoxServer"
+    kill `cat $pidfile` &>/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon squeezeboxserver
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
-- 
cgit v0.12


From 8cf4c240d609d3fe1ac5332c25217f636351e31a Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 17:25:20 -0500
Subject: linhes-system: set defaults for unclutter back to sane values for an
 appliance, for when the cfg file can not be found. modify system to make use
 of /etc/unclutter.cfg If the enduser doesn't like the default values they can
 safely make changes to /etc/unclutter.cfg

closes 660
ref 628
---
 abs/core-testing/LinHES-system/LinHES-run          |  6 ++++--
 abs/core-testing/LinHES-system/PKGBUILD            | 15 ++++++++++++++-
 abs/core-testing/LinHES-system/unclutter-toggle.sh |  5 ++++-
 3 files changed, 22 insertions(+), 4 deletions(-)

diff --git a/abs/core-testing/LinHES-system/LinHES-run b/abs/core-testing/LinHES-system/LinHES-run
index 2322b3b..8f235e8 100644
--- a/abs/core-testing/LinHES-system/LinHES-run
+++ b/abs/core-testing/LinHES-system/LinHES-run
@@ -1,13 +1,15 @@
 #!/bin/sh
 . /etc/profile
 . /etc/systemconfig
-
+idle=1
+jitter=200
+. /etc/unclutter.cfg
 #keylaunch &
 #/usr/bin/tilda &
 
 #move mouse to corner
 xdotool mousemove -10 -10
-/usr/X11R6/bin/unclutter -root -idle 5 -jitter 5 -noevents  &
+/usr/X11R6/bin/unclutter -root -idle $idle -jitter $jitter -noevents  &
 if [ x"$Screensavertype" = "xgscreensaver" ]
 then
     gnome-screensaver &
diff --git a/abs/core-testing/LinHES-system/PKGBUILD b/abs/core-testing/LinHES-system/PKGBUILD
index 5616746..f775314 100644
--- a/abs/core-testing/LinHES-system/PKGBUILD
+++ b/abs/core-testing/LinHES-system/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-system
 pkgver=1.1
-pkgrel=9
+pkgrel=11
 arch=('i686')
 MVDIR=$startdir/pkg/usr/LH
 BINDIR=$startdir/pkg/usr/bin
@@ -81,3 +81,16 @@ md5sums=('19934a456d0e112298b8aac3279f9a16'
          'f1870a9522c79e6b248fcbf81dec3280'
          'abe887472a170bd1a8e6da6a7b7e93e4'
          'eb879fee9603a05d5420d4ce8ed9e450')
+md5sums=('19934a456d0e112298b8aac3279f9a16'
+         '5881bdb43d578ec3a79d1f77ea58a3db'
+         'a875ee97f86e46f34a741c2bc455f894'
+         'cdcbc530224215f8fcf7ebcd93d7eb0b'
+         'c60b6c66f498809a6e5ca18a8c97d336'
+         'ccae1296ef248fa52ec3a7cb820a476e'
+         '6022095f05d0428de926bb81b1693d56'
+         '18a884a73344ff6eb74f63b49745e0f5'
+         'dc3eef2a624754e16805d72bbe488b67'
+         'dc0be354ce77ba2b89868fc29b942c43'
+         'f1870a9522c79e6b248fcbf81dec3280'
+         'abe887472a170bd1a8e6da6a7b7e93e4'
+         'eb879fee9603a05d5420d4ce8ed9e450')
diff --git a/abs/core-testing/LinHES-system/unclutter-toggle.sh b/abs/core-testing/LinHES-system/unclutter-toggle.sh
index 0ead751..aadce50 100644
--- a/abs/core-testing/LinHES-system/unclutter-toggle.sh
+++ b/abs/core-testing/LinHES-system/unclutter-toggle.sh
@@ -1,8 +1,11 @@
 #!/bin/bash
 PIDUNC=`pidof unclutter`
+jitter=200
+idle=1
+. /etc/unclutter.cfg
 if [ -n "${PIDUNC}" ];
 then
     killall -9 unclutter
 else
-    /usr/X11R6/bin/unclutter -root -idle 1 -jitter 200 -noevents &
+    /usr/X11R6/bin/unclutter -root -idle $idle -jitter $jitter -noevents &
 fi
-- 
cgit v0.12


From 31007c25c064530527c8c5c48739601e4333798e Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Sun, 21 Mar 2010 17:26:02 -0500
Subject: unclutter: include config file for use with linhes-system ref 660

---
 abs/core-testing/unclutter/PKGBUILD      | 12 +++++++++---
 abs/core-testing/unclutter/unclutter.cfg |  2 ++
 2 files changed, 11 insertions(+), 3 deletions(-)
 create mode 100644 abs/core-testing/unclutter/unclutter.cfg

diff --git a/abs/core-testing/unclutter/PKGBUILD b/abs/core-testing/unclutter/PKGBUILD
index 5622394..64e808d 100755
--- a/abs/core-testing/unclutter/PKGBUILD
+++ b/abs/core-testing/unclutter/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=unclutter
 pkgver=8
-pkgrel=1
+pkgrel=5
 pkgdesc="Hides mouse cursor when not in use"
 url="http://www.x.org/contrib/utilities/unclutter-8.README"
 license="GPL"
@@ -8,10 +8,10 @@ depends=(x-server)
 makedepends=()
 conflicts=()
 replaces=()
-backup=()
+backup=(etc/unclutter.cfg)
 install=
 arch='i686'
-source=(ftp://ftp.x.org/contrib/utilities/$pkgname-$pkgver.tar.Z)
+source=(ftp://ftp.x.org/contrib/utilities/$pkgname-$pkgver.tar.Z unclutter.cfg)
 
 
 build() {
@@ -19,4 +19,10 @@ build() {
   make LDLIBS=-L/usr/X11R6/lib || return 1
   mkdir -p $startdir/pkg/usr/X11R6/bin
   make DESTDIR=$startdir/pkg BINDIR=$startdir/pkg/usr/X11R6/bin install
+  mkdir -p $startdir/pkg/etc
+  cp -f  $startdir/src/unclutter.cfg $startdir/pkg/etc/unclutter.cfg
 }
+md5sums=('83d7a6498b69078f869378f801b6a84b'
+         '7277205ebd875a0175a5fdb184c6373c')
+md5sums=('83d7a6498b69078f869378f801b6a84b'
+         '07815312d084a31595cd90ab45c68727')
diff --git a/abs/core-testing/unclutter/unclutter.cfg b/abs/core-testing/unclutter/unclutter.cfg
new file mode 100644
index 0000000..e097b95
--- /dev/null
+++ b/abs/core-testing/unclutter/unclutter.cfg
@@ -0,0 +1,2 @@
+idle=1
+jitter=200
-- 
cgit v0.12


From 13cda940b116339e3d5b5f27e73ad3f8dd2554e9 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Mon, 22 Mar 2010 09:22:11 -0500
Subject: monitorix: fix sed statement for changing config file.  Was missing a
 ; at the end of the statement.

closes #661
---
 abs/extra-testing/monitorix/PKGBUILD          | 2 +-
 abs/extra-testing/monitorix/monitorix.install | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/abs/extra-testing/monitorix/PKGBUILD b/abs/extra-testing/monitorix/PKGBUILD
index af69d47..e73fcd1 100644
--- a/abs/extra-testing/monitorix/PKGBUILD
+++ b/abs/extra-testing/monitorix/PKGBUILD
@@ -2,7 +2,7 @@
 
 pkgname=monitorix
 pkgver=1.4.2
-pkgrel=7
+pkgrel=8
 pkgdesc='A lightweight system monitoring tool that uses rrd databases.'
 arch=(i686)
 url=http://www.$pkgname.org/
diff --git a/abs/extra-testing/monitorix/monitorix.install b/abs/extra-testing/monitorix/monitorix.install
index d7fb1c4..6c1d1bd 100644
--- a/abs/extra-testing/monitorix/monitorix.install
+++ b/abs/extra-testing/monitorix/monitorix.install
@@ -25,6 +25,6 @@ post_upgrade() {
 
 post_install(){
     . /etc/systemconfig
-    sed -i "s/^our \$HOSTNAME.*$/our \$HOSTNAME = \"${hostname}\"/" /etc/monitorix.conf|
+    sed -i "s/^our \$HOSTNAME.*$/our \$HOSTNAME = \"${hostname}\"\; /" /etc/monitorix.conf|
     post_upgrade
 }
-- 
cgit v0.12


From e51cf415764a2c267f373965c48eec082ad59d81 Mon Sep 17 00:00:00 2001
From: James Meyer <james.meyer@operamail.com>
Date: Mon, 22 Mar 2010 12:27:27 -0500
Subject: cpufreq and utils:  intial import refs 492

---
 abs/extra-testing/cpufreqd/PKGBUILD          | 30 ++++++++++++++
 abs/extra-testing/cpufreqd/cpufreqd          | 35 ++++++++++++++++
 abs/extra-testing/cpufreqd/cpufreqd.install  | 26 ++++++++++++
 abs/extra-testing/cpufrequtils/PKGBUILD      | 32 +++++++++++++++
 abs/extra-testing/cpufrequtils/cpufreq.confd | 14 +++++++
 abs/extra-testing/cpufrequtils/cpufreq.rcd   | 60 ++++++++++++++++++++++++++++
 6 files changed, 197 insertions(+)
 create mode 100644 abs/extra-testing/cpufreqd/PKGBUILD
 create mode 100644 abs/extra-testing/cpufreqd/cpufreqd
 create mode 100644 abs/extra-testing/cpufreqd/cpufreqd.install
 create mode 100644 abs/extra-testing/cpufrequtils/PKGBUILD
 create mode 100644 abs/extra-testing/cpufrequtils/cpufreq.confd
 create mode 100644 abs/extra-testing/cpufrequtils/cpufreq.rcd

diff --git a/abs/extra-testing/cpufreqd/PKGBUILD b/abs/extra-testing/cpufreqd/PKGBUILD
new file mode 100644
index 0000000..a727e28
--- /dev/null
+++ b/abs/extra-testing/cpufreqd/PKGBUILD
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD 60269 2009-12-02 16:30:29Z giovanni $
+# Maintainer: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Kevin Piche <kevin@archlinux.org>
+# Contributor: Manolis Tzanidakis <manolis@archlinux.org>
+
+pkgname=cpufreqd
+pkgver=2.3.4
+pkgrel=2
+pkgdesc="A small daemon to adjust cpu speed (and indeed voltage)"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/cpufreqd"
+license=('GPL2')
+depends=('cpufrequtils')
+install="$pkgname.install"
+backup=(etc/cpufreqd.conf)
+options=('!libtool')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
+	'cpufreqd')
+md5sums=('f4193f688305566a8422dd3989667668'
+	'ae7b0ec1e8e9f9e7f05fb83749af4ed4')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc
+  make || return 1
+  make DESTDIR=$pkgdir install
+
+  install -D -m 755 $srcdir/cpufreqd $pkgdir/etc/rc.d/cpufreqd || return 1
+}
diff --git a/abs/extra-testing/cpufreqd/cpufreqd b/abs/extra-testing/cpufreqd/cpufreqd
new file mode 100644
index 0000000..af55456
--- /dev/null
+++ b/abs/extra-testing/cpufreqd/cpufreqd
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/cpufreqd`
+case "$1" in
+  start)
+    stat_busy "Starting cpufreqd"
+    [ -z "$PID" ] && /usr/sbin/cpufreqd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon cpufreqd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping cpufreqd"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon cpufreqd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0
diff --git a/abs/extra-testing/cpufreqd/cpufreqd.install b/abs/extra-testing/cpufreqd/cpufreqd.install
new file mode 100644
index 0000000..e56ce57
--- /dev/null
+++ b/abs/extra-testing/cpufreqd/cpufreqd.install
@@ -0,0 +1,26 @@
+post_install() {
+	cat << EOF
+
+NOTE
+----
+In order to use that daemon you need to either patch your
+kernel-2.4.x with cpufreq patch (check 
+http://www.codemonkey.org.uk/projects/cpufreq/),
+or use kernel-2.6.x or 2.4.x.-ac.
+
+EOF
+}
+
+post_upgrade() {
+  /bin/true
+}
+
+# arg 1:  the old package version
+pre_remove() {
+  /bin/true
+}
+
+op=$1
+shift
+
+$op $*
diff --git a/abs/extra-testing/cpufrequtils/PKGBUILD b/abs/extra-testing/cpufrequtils/PKGBUILD
new file mode 100644
index 0000000..826e6c9
--- /dev/null
+++ b/abs/extra-testing/cpufrequtils/PKGBUILD
@@ -0,0 +1,32 @@
+# $Id: PKGBUILD 66595 2010-02-01 00:00:07Z giovanni $
+# Maintainer: kevin <kevin@archlinux.org>
+# Contributor: phrakture <aaronmgriffin+gmail+com>
+# Contributor: SpepS <dreamspepser at yahoo dot it>
+
+pkgname=cpufrequtils
+pkgver=007
+pkgrel=1
+pkgdesc="Userspace tools for the kernel cpufreq subsystem"
+arch=('i686' 'x86_64')
+url="http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html"
+license=('GPL')
+depends=('sysfsutils')
+backup=('etc/conf.d/cpufreq')
+source=(http://www.kernel.org/pub/linux/utils/kernel/cpufreq/${pkgname}-${pkgver}.tar.bz2
+        cpufreq.rcd
+        cpufreq.confd)
+options=(!libtool)
+md5sums=('fdd833ce70a9ae40ae8bce5b18f2becf'
+         '7f2b5085df44d2df3e7c2d0b9f6dab08'
+         'baae1f2abffc6bef2bd32a8dd8263c09')
+
+build()
+{
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  make -j1 || return 1
+  make INSTALL="/bin/install -c" mandir=/usr/share/man DESTDIR="${pkgdir}" install || return 1
+
+  install -D -m755 ${srcdir}/cpufreq.rcd "${pkgdir}/etc/rc.d/cpufreq" || return 1
+  install -D -m644 ${srcdir}/cpufreq.confd "${pkgdir}/etc/conf.d/cpufreq" || return 1
+}
diff --git a/abs/extra-testing/cpufrequtils/cpufreq.confd b/abs/extra-testing/cpufrequtils/cpufreq.confd
new file mode 100644
index 0000000..2189097
--- /dev/null
+++ b/abs/extra-testing/cpufrequtils/cpufreq.confd
@@ -0,0 +1,14 @@
+#configuration for cpufreq control
+
+# valid governors:
+#  ondemand, performance, powersave,
+#  conservative, userspace
+#governor="ondemand"
+
+# limit frequency range (optional)
+# valid suffixes: Hz, kHz (default), MHz, GHz, THz
+#min_freq="2.25GHz"
+#max_freq="3GHz"
+
+# use freq to set up the exact cpu frequency using it with userspace governor
+#freq=
diff --git a/abs/extra-testing/cpufrequtils/cpufreq.rcd b/abs/extra-testing/cpufrequtils/cpufreq.rcd
new file mode 100644
index 0000000..9bc19b1
--- /dev/null
+++ b/abs/extra-testing/cpufrequtils/cpufreq.rcd
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+# source application-specific settings
+[ -f /etc/conf.d/cpufreq ] && . /etc/conf.d/cpufreq
+
+case "$1" in
+  start)
+    stat_busy "Setting cpufreq governing rules"
+
+	params=""
+	if [ -n "$governor" ]; then
+		mod="cpufreq_$governor"
+		params="-g $governor"
+		grep -qw "$governor" /sys/devices/system/cpu/cpu*/cpufreq/scaling_available_governors || modprobe -q $mod
+		if [ $? -eq 0 ]; then
+			if [ "$min_freq" != "" ]; then
+				params="$params -d $min_freq"
+			fi
+			if [ "$max_freq" != "" ]; then
+				params="$params -u $max_freq"
+			fi
+		else
+			stat_busy "    Cannot load governor module '$governor'"
+			stat_fail
+			exit
+		fi
+	fi
+
+	if [ "$params" != "" ]; then
+		CPUS=$(sed -ne 's/^processor.* \([0-9]\+\)$/\1/p' /proc/cpuinfo)
+		stat_append ", cpu"
+		for cpu in $CPUS; do
+			stat_append " $cpu"
+			cpufreq-set -c $cpu $params
+			if [ "$freq" != "" ]; then
+				cpufreq-set -c $cpu -f $freq
+			fi
+		done
+		stat_done
+	else
+		stat_busy "    Invalid configuration in /etc/conf.d/cpufreq"
+		stat_fail
+	fi
+	;;
+  stop)
+	# nothing to do
+	;;
+  restart)
+	$0 start
+	;;
+  set)
+	# TODO: make callable... "cpufreq set 800MHz"
+	;;
+  *)
+	echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0
-- 
cgit v0.12